<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Número secreto</title>
    <style>
        main {
            padding: 0;
            margin: 0;
            font-family: 'Lato';
            max-width: 500px;
            margin: 0 auto;
        }

        .flex {
            display: flex;
        }

        .wrap {
            flex-wrap: wrap;
        }

        .center {
            justify-content: center;
        }

        .w20 {
            width: 20%;
        }

        .w90 {
            width: 90%;
        }

        .w100 {
            width: 100%;
        }

        .cel {
            height: 82px;
            z-index: 1;
            width: 90%;
            font-weight: bold;
            position: relative;
            margin: 5px auto;
            background-color: #1aa1f0;
            border-radius: 10px;
            text-align: center;
            justify-content: center;
            font-size: 2.25em;

            align-items: center;
        }

        .comprobar,
        .info {
            border: 1px solid #1aa1f0;
            border-radius: 5px;
            font-size: 1.2em;
            margin-bottom: 15px;
            margin-top: 15px;
        }

        .comprobar *,
        .info * {
            margin: 10px;
        }

        .info {
            border-color: crimson;
            background-color: crimson;
            color: white;
        }

        label {
            color: #1aa1f0;
            font-weight: bold;
        }

        input {
            box-sizing: border-box;
            width: 40%;
            border: none;
            margin-bottom: 15px;
            font-size: 1.2em;
            padding: 10px;
            border-bottom: 2px solid #1aa1f0;
            outline: none;
            border-radius: 5px 5px 0 0;
        }

        input:focus,
        input:hover {
            background-color: #BABABA;
        }


        button {
            width: 55%;
            padding: 15px;
            background-color: #1aa1f0;
            color: white;
            border: none;
            border-radius: 5px;
            font-size: 1.17em;
            margin-bottom: 10px;
        }

        button:hover,
        button:focus {
            background-color: #1aa1f075;
            cursor: pointer;
        }

        .celResult {
            height: 82px;
            z-index: 1;
            width: 90%;
            font-weight: bold;
            position: relative;
            margin: 5px auto;
            background-color: #BABABA;
            border-radius: 10px;
            text-align: center;
            justify-content: center;
            font-size: 2.25em;
            align-items: center;
        }
    </style>
</head>

<body>
    <main>
        <h1>Adivina el número secreto</h1>
        <section id="codigo" class="flex wrap center">
            <div class="w100 flex wrap">
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
                <div class="w20">
                    <div class="cel flex">*</div>
                </div>
            </div>
        </section>
        <section class="w100 flex wrap center comprobar">
            <label class="w90" for="numero">Escribe aquí un número</label><br>
            <input class="w90" type="text" id="numero" name="numero" value="01234"><br>
            <button class="w90" id="check" onclick="Comprobar()">Comprobar</button>
        </section>
        <section class="w100 info">
            <p class="w90" id="info">Primer intento, suerte!</p>
        </section>
        <section id="Result" class="flex wrap center">
            <!-- Esto debereís generarlo más adelante por código -->

        </section>
    </main>
    <script>
        const codigo = [];
        const input = [];
        let intento = 0;
        let rondas = 1;
        let maxIntento = 6;

        /*1. Genera una constante CODIGO_SECRETO de tipo array de 5 número aleatorios entre 0 y 9 usando la libreria Math.random();*/
        function codigoSecreto() {
            for (let i = 0; i < 5; i++) {
                codigo[i] = Math.floor((Math.random() * 10));
            }
        }


        function maxIteracion() {
            const resultSection = document.getElementById("Result");

            // Crear un nuevo elemento section
            const newRowResult = document.createElement("div");

            // Agregar el atributo id de "Result" al nuevo elemento section
            newRowResult.setAttribute("class", "rowResult w100 flex wrap");

            // Crear cinco nuevos elementos div con la clase w20
            for (let i = 0; i < 5; i++) {
            const newDiv = document.createElement("div");
            newDiv.classList.add("w20");

            // Crear un nuevo elemento div dentro de cada uno de los nuevos elementos div
            const newCelResult = document.createElement("div");
            newCelResult.classList.add("celResult", "flex");

            // Agregar el nuevo elemento div como hijo del nuevo elemento div
            newDiv.appendChild(newCelResult);

            // Agregar el nuevo elemento div como hijo del nuevo elemento section
            newRowResult.appendChild(newDiv);
            }

            // Agregar el nuevo elemento section como hijo del elemento con el atributo id de "Result"
            resultSection.appendChild(newRowResult);
        }


        function Comprobar() {
            let numero = document.getElementById("numero").value;
            for (number in numero) {
                input[number] = parseInt(numero[number]);
            }

            if (maxIntento <= 0) {
                const mensaje = document.getElementById("info");
                mensaje.textContent = "No tienes más intentos!";

            } else {
                if (input == codigo) {
                    for (let d = 0; d < input.length; d++) {
                        const element = input[d];
                        
                        const mensaje = document.getElementById("info");
                        const rowResult1 = document.querySelector(".w100.flex.wrap")[0];
                        const casilla = rowResult1.querySelectorAll(".cel.flex")[d];
                        console.log(casilla)
                        casilla.textContent = element;
                        mensaje.textContent = "FELICIDADES HAS ACERTADO EL NUMERO!";
                    }
            
                } else {
                    const mensaje = document.getElementById("info");
                    mensaje.textContent = "Rondas: " + rondas + "/6";
                    maxIteracion();
                    
                    for (let d = 0; d < input.length; d++) {
                        
                        const inputDigit = input[d];
                        const secretDigit = codigo[d]; 
                        
                        if (inputDigit == secretDigit) {
                            const rowResult = document.querySelectorAll(".rowResult.w100.flex.wrap")[intento];
                            const celResults = rowResult.querySelectorAll(".celResult.flex")[d];
            
                            celResults.textContent = inputDigit;
                            celResults.style.backgroundColor = "green";
            
                        } else if (inputDigit != secretDigit) {
                            let igual = false;
                            for (let i = 0; i < codigo.length; i++) {
                                const codigoDigit = codigo[i];
                                if (codigoDigit == inputDigit) {
                                    const rowResult = document.querySelectorAll(".rowResult.w100.flex.wrap")[intento];
                                    const celResults = rowResult.querySelectorAll(".celResult.flex")[d];
            
                                    celResults.textContent = inputDigit;
                                    celResults.style.backgroundColor = "yellow";
                                    igual = true;
                                }
                            }
                            if (!igual) {
                                const rowResult = document.querySelectorAll(".rowResult.w100.flex.wrap")[intento];
                                const celResults = rowResult.querySelectorAll(".celResult.flex")[d];
            
                                celResults.textContent = inputDigit;
                                celResults.style.backgroundColor = "gray";
                            }
                        }
                    }
                }
            }
            
            maxIntento--;
            intento++;
            rondas++;
        }

        codigoSecreto();
        console.log(codigo);
    </script>
</body>

</html>